Returns a single policy identified by tenant_id and policy_id. Requires admin scope.
POST
/
policies
/
get_policy_by_id
Get a single policy
curl --request POST \
--url https://api.svantic.com/policies/get_policy_by_id \
--header 'Content-Type: application/json' \
--data '
{
"tenant_id": "string",
"policy_id": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({tenant_id: 'string', policy_id: 'string'})
};
fetch('https://api.svantic.com/policies/get_policy_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/policies/get_policy_by_id"
payload = {
"tenant_id": "string",
"policy_id": "string"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/policies/get_policy_by_id"
payload := strings.NewReader("{\n \"tenant_id\": \"string\",\n \"policy_id\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"policy_id": "string",
"tenant_id": "string",
"scope": "tool",
"name": "string",
"decision": "string",
"description": "string",
"match": {
"example_key": "example_value"
},
"reason": "string",
"approvers": [
"string"
],
"evaluator": {
"example_key": "example_value"
},
"priority": 0,
"enabled": true,
"created_at": "2026-03-31T12:00:00.000Z",
"updated_at": "2026-03-31T12:00:00.000Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}⌘I
Get a single policy
curl --request POST \
--url https://api.svantic.com/policies/get_policy_by_id \
--header 'Content-Type: application/json' \
--data '
{
"tenant_id": "string",
"policy_id": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({tenant_id: 'string', policy_id: 'string'})
};
fetch('https://api.svantic.com/policies/get_policy_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/policies/get_policy_by_id"
payload = {
"tenant_id": "string",
"policy_id": "string"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/policies/get_policy_by_id"
payload := strings.NewReader("{\n \"tenant_id\": \"string\",\n \"policy_id\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"policy_id": "string",
"tenant_id": "string",
"scope": "tool",
"name": "string",
"decision": "string",
"description": "string",
"match": {
"example_key": "example_value"
},
"reason": "string",
"approvers": [
"string"
],
"evaluator": {
"example_key": "example_value"
},
"priority": 0,
"enabled": true,
"created_at": "2026-03-31T12:00:00.000Z",
"updated_at": "2026-03-31T12:00:00.000Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}